﻿namespace Pikta.Editor
{
    /// <summary>
    /// Defines known element and property names.
    /// </summary>
    public static class KnownNames
    {
        public const string Color = "Barva";

        /// <summary>
        /// Collection element name.
        /// </summary>
        public const string Collection = "Kolekce";

        /// <summary>
        /// Container element name.
        /// </summary>
        public const string Container = "Kontejner";

        /// <summary>
        /// Container content property name.
        /// </summary>
        public const string ContentProperty = "obsah";

        public const string Root = "Kořen";

        public const string Canvas = "Plátno";

        public const string Grid = "Mřížka";

        public const string Stack = "Štos";

        /// <summary>
        /// Generator element name.
        /// </summary>
        public const string Generator = "Generátor";
        
        public const string Ellipse = "Elipsa";

        public const string Rectangle = "Obdélník";
        
        public const string Text = "Text";

        public const string Bitmap = "Bitmapa";

        public const string Shape = "Tvar";

        public const string XProperty = "x";
        public const string YProperty = "y";
        public const string WidthProperty = "šířka";
        public const string HeightProperty = "výška";
    }
}
