﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pikta.Expressions
{
	public class Addition : ArithmeticBinaryExpression
	{
		public Addition(Expression left, Expression right)
			: base("+", left, right)
		{
		}

		public bool Equals(Addition other)
		{
			return other != null && base.Equals(other);
		}

		public override bool Equals(Expression other)
		{
			return Equals(other as Addition);
		}

		public override bool Equals(object obj)
		{
			return Equals(obj as Addition);
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	}
}
