﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pikta.Expressions
{
	public class Division : ArithmeticBinaryExpression
	{
		public Division(Expression left, Expression right)
			: base("/", left, right)
		{
		}

		public bool Equals(Division other)
		{
			return other != null && base.Equals(other);
		}

		public override bool Equals(Expression other)
		{
			return Equals(other as Division);
		}

		public override bool Equals(object obj)
		{
			return Equals(obj as Division);
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	}
}
