﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pikta.Expressions
{
	public class Modulo : ArithmeticBinaryExpression
	{
		public Modulo(Expression left, Expression right)
			: base("%", left, right)
		{
		}

		public bool Equals(Modulo other)
		{
			return other != null && base.Equals(other);
		}

		public override bool Equals(Expression other)
		{
			return Equals(other as Modulo);
		}

		public override bool Equals(object obj)
		{
			return Equals(obj as Modulo);
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	}
}
