﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pikta.Expressions
{
	public class Multiplication : ArithmeticBinaryExpression
	{
		public Multiplication(Expression left, Expression right)
			: base("*", left, right)
		{
		}

		public bool Equals(Multiplication other)
		{
			return other != null && base.Equals(other);
		}

		public override bool Equals(Expression other)
		{
			return Equals(other as Multiplication);
		}

		public override bool Equals(object obj)
		{
			return Equals(obj as Multiplication);
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	}
}
