﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Pikta.Expressions
{
	public class Substraction : ArithmeticBinaryExpression
	{
		public Substraction(Expression left, Expression right)
			: base("-", left, right)
		{
		}

		public bool Equals(Substraction other)
		{
			return other != null && base.Equals(other);
		}

		public override bool Equals(Expression other)
		{
			return Equals(other as Substraction);
		}

		public override bool Equals(object obj)
		{
			return Equals(obj as Substraction);
		}

		public override int GetHashCode()
		{
			return base.GetHashCode();
		}
	}
}
