﻿namespace Pikta.Editor
{
    using System;
    using System.Collections.Generic;
    using System.Diagnostics.Contracts;
    using System.Linq;
    using System.Text;

    public class ElementActionEventArgs : EventArgs
    {
        public ElementActionEventArgs(Element element)
        {
            Contract.Requires(element != null);

            this.Element = element;
        }

        public Element Element { get; private set; }
    }
}
