﻿using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;

namespace Pikta.Editor
{
    public class PropertyMoveEventArgs : EventArgs
    {
        public PropertyMoveEventArgs(Property source, Property target)
        {
            Contract.Requires(source != null);
            Contract.Requires(target != null);

            this.Source = source;
            this.Target = target;
        }

        public Property Source { get; private set; }

        public Property Target { get; private set; }
    }
}
